(function($) {
    "use strict";
	
	var shift = $(window).width() > 640 ? 350 : 150;
	var flag = true;

	/*----------  MOBILE DETECT  ----------*/
    var isMobile = {
	    Android: function() {
	        return navigator.userAgent.match(/Android/i);
	    },
	    BlackBerry: function() {
	        return navigator.userAgent.match(/BlackBerry/i);
	    },
	    iOS: function() {
	        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
	    },
	    Opera: function() {
	        return navigator.userAgent.match(/Opera Mini/i);
	    },
	    Windows: function() {
	        return navigator.userAgent.match(/IEMobile/i);
	    },
	    any: function() {
	        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
	    }
	};
	/*----------  //MOBILE DETECT  ----------*/

	/*----------  WINDOW SCROLL  ----------*/
	$("body").niceScroll();
	/*----------  //WINDOW SCROLL  ----------*/

	/*----------  PRELOADER  ----------*/
	setTimeout(function(){
		$('#preloader').animate({'opacity' : '0'},300,function(){
			$('#preloader').hide();
			if(!isMobile.any()){
				if(0 < $(window).scrollTop()){				
					setTimeout(function(){
						scrolling();
					}, 500)
				}
			}else{
				$('.animate').removeClass('animate');
				$('.skills-block, .features img, .instagram-block, #contact form').css('opacity', 1);
			}	
		});

		/*----------  WINDOW SCROLL  ----------*/
		$("body").niceScroll();
		/*----------  //WINDOW SCROLL  ----------*/

		$('.page-wrapper').animate({'opacity' : '1'},500);
	},2000)
	
	$('.post-block:last-child img').load(function(){
		var width = $('.blog').width()/4;
		$('.blog .clearfix').isotope({
			itemSelector : '.post-block',
			masonry: {
				columnWidth: width,
	  			gutter: 0
			}
	    });	
    }).attr('src', $('.post-block:last-child img').attr('src'));
	/*----------  //PRELOADER  ----------*/

	$('#mobileMenu').on('click', function(){
		if(!$('#mainNavi').hasClass('animate')){
			$('#mainNavi').addClass('animate');
			$('#mainNavi a').css('display','block').animate({'opacity':1}, 500);
		}else{
			$('#mainNavi').removeClass('animate');
			$('#mainNavi a').animate({'opacity':0}, 500, function(){
				$('#mainNavi a').hide();
			});
		}
		return false
	});

	if($(window).width() < 361){
		$('.clients-say .flexslider').flexslider({
			prevText: "", 
			nextText: "", 
			slideshow: false,
			animation: "slide",
			itemWidth: 200,
			minItems: 1,
	    	maxItems: 1,
		});
	}else if($(window).width() < 801){
		$('.clients-say .flexslider').flexslider({
			prevText: "", 
			nextText: "", 
			slideshow: false,
			animation: "slide",
			itemWidth: 200,
			minItems: 2,
	    	maxItems: 2,
		});
	}else{
		$('.clients-say .flexslider').flexslider({
			prevText: "", 
			nextText: "", 
			slideshow: false,
			animation: "slide",
			itemWidth: 200,
			minItems: 2,
	    	maxItems: 4
		});
	}

	/*----------  BIG SLIDER  ----------*/
	setTimeout(function(){
		$('.home .flexslider').height($(window).height()).flexslider({
			slideshowSpeed: 6000,
			after : function(slider){
				$('.flexslider .big, .flexslider .middle, .flexslider .small').css('opacity',0);
				var next = $('.flex-active-slide', slider);
				sliderAnimate(next);
			}
		});
		$(window).resize(function(){
			$('.home .flexslider, .home .flexslider .slides img').height($(window).height());
		})
		sliderAnimate($('.flex-active-slide'));
		function sliderAnimate(next){
			if(next.hasClass('first')){
				var time = -200;
				$('.big', next).each(function(){
					var thiz = $(this);
					time += 200;
					setTimeout(function(){							
						thiz.addClass('flipInX animated').css('opacity','1');
						thiz.one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
							thiz.removeClass('flipInX animated');
						});
					}, time);
				});
				setTimeout(function(){
					$('.middle', next).addClass('bounceIn animated').css('opacity','1');
					$('.middle', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$('.middle', next).removeClass('bounceIn animated');
					});
					$('.small', next).addClass('fadeIn animated').css('opacity','1');
					$('.small', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$('.small', next).removeClass('fadeIn animated');
					});
				}, 400)
			}else if(next.hasClass('secondary')){

				$('.big', next).addClass('bounceInDown animated');
				$('.big', next).css('opacity','1');
				$('.big', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
					$('.big', next).removeClass('bounceInDown animated');
				});

				setTimeout(function(){
					$('.middle', next).addClass('bounceInRight animated').css('opacity','1');
					$('.middle', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$('.middle', next).removeClass('bounceInRight animated');
					});
					$('.small', next).addClass('bounceInLeft animated').css('opacity','1');
					$('.small', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$('.small', next).removeClass('bounceInLeft animated');
					});
				}, 400)
			}else if(next.hasClass('third')){
				var time = -200;
				$('.big', next).each(function(){
					var thiz = $(this);
					time += 200;
					setTimeout(function(){							
						thiz.addClass('fadeInDown animated').css('opacity','1');
						thiz.one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
							thiz.removeClass('fadeInDown animated');
						});
					}, time);
				});
				setTimeout(function(){
					$('.middle', next).addClass('fadeInRight animated').css('opacity','1');
					$('.middle', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$('.middle', next).removeClass('fadeInRight animated');
					});
					$('.small', next).addClass('fadeInLeft animated').css('opacity','1');
					$('.small', next).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$('.small', next).removeClass('fadeInLeft animated');
					});
				}, 400)
			}
		}

		$('.flex-next').addClass('glyph arrow_carrot-right').text('');
		$('.flex-prev').addClass('glyph arrow_carrot-left').text('');

		$('.home li > img').each(function(){
			$(this).css('background-image', 'url(' + $(this).attr('src') + ')')
				   .attr('src', '../images/1x1-blue.png')
				   .height($(window).height());
		});
	},0)
	/*----------  //BIG SLIDER  ----------*/
	$.scrollIt();
	$('.images-bg').each(function(){
		$(this).css({
			'background-image': 'url(' + $('img', this).attr('src') +')'
		});
		$('img', this).attr('src', '../images/1x1-blue.png')
	});

	if($('#home .flexslider').length){
		$('#home .flexslider').height($(window).height())
	}

	$('#facts .amount').each(function(){
		$(this).attr('data-amount', $(this).text()).text(0)
	})

    function scrolling(){
		var scroll = $(window).scrollTop() + $(window).height();			

		if($('#home .slider-text-wrapper').length){
			/*$('#home .slider-text-wrapper, #home .flex-next, #home .flex-prev').stop(true,true).transition({ y: $(window).scrollTop()*.3 },0);*/
			$('#home .slider-text-wrapper, #home .flex-next, #home .flex-prev').css('top', $(window).height()*0.5 + $(window).scrollTop()*.3);
			$('#home .flex-control-nav').stop(true,true).transition({ y: $(window).scrollTop()*.07 },0);
								

			$('#home .slider-text-wrapper, #home .flex-control-nav, #home .flex-next, #home .flex-prev').css('opacity', 1-($(window).scrollTop()/($(window).height()-120)) );
		}

		function parallaxInit() {
			if (!isMobile.any())
			{
				$('.parallax').parallax("50%", 0.5);
				$('.parallax1').parallax("50%", 0.5);
				$('.parallax2').parallax("50%", 0.5);
			}
		}	
		parallaxInit();	


		/*----------  ANIMATION FOR HEADER  ----------*/
		if($(window).scrollTop() < $(window).height()){
			$('#mainNavi a').removeClass('active');
			$("#mainNavi a:eq(0)").addClass('active');
		}
		/*----------  //ANIMATION FOR HEADER  ----------*/
		
			
		/*----------  HEADER  ----------*/
		if($(window).scrollTop() > $(window).height()/2-100){
			$('#header').addClass('animate');
		}else{
			$('#header').removeClass('animate');
		}
		/*----------  //HEADER  ----------*/

		/*----------  ANIMATION FOR ABOUT  ----------*/
		if($('#about').length && parseInt($('#about').offset().top)+shift < scroll){			
			$('#mainNavi a').removeClass('active');
			$("a[href='#about']:eq(0)").addClass('active');
		}
		/*----------  //ANIMATION FOR ABOUT  ----------*/

		/*----------  ANIMATION FOR SKILLS  ----------*/
		if($('#skills').length && parseInt($('#skills').offset().top)+shift < scroll){			
			if($('#skills').hasClass('animate')){
				$('#skills').removeClass('animate');
				var time = -200;
				$('#skills .skills-block').each(function(){
					time += 200;
					var thiz = this;
					setTimeout(function(){
						$(thiz).addClass('fadeInLeft animated').css('opacity',1);
						$(thiz).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
							$(thiz).removeClass('fadeInLeft animated');
						});						
					}, time)
				})
			}
		}
		/*----------  //ANIMATION FOR SKILLS  ----------*/

		/*----------  ANIMATION FOR PORTFOLIO  ----------*/
		if($('#portfolio').length && parseInt($('#portfolio').offset().top)+shift < scroll){
			if($('#portfolio').hasClass('animate')){
				$('#portfolio').removeClass('animate');
			}
			$('#mainNavi a').removeClass('active');
			$("a[href='#portfolio']:eq(0)").addClass('active');
		}
		/*----------  //ANIMATION FOR PORTFOLIO  ----------*/

		/*----------  ANIMATION FOR CLIENTS  ----------*/
		if($('#clients').length && parseInt($('#clients').offset().top)+shift < scroll){			
			if($('#clients').hasClass('animate')){
				$('#clients').removeClass('animate');
			}
			$('#mainNavi a').removeClass('active');
			$("a[href='#clients']:eq(0)").addClass('active');
		}
		/*----------  //ANIMATION FOR CLIENTS  ----------*/

		/*----------  ANIMATION FOR CLIENTS  ----------*/
		if($('.clients-say').length && parseInt($('.clients-say').offset().top)+shift < scroll){			
			if($('.clients-say').hasClass('animate')){
				$('.clients-say').removeClass('animate');
				var time = -200;
				$('.clients-say .skills-block').each(function(){
					time += 200;
					var thiz = this;
					setTimeout(function(){
						$(thiz).addClass('fadeInLeft animated').css('opacity',1);
						$(thiz).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
							$(thiz).removeClass('fadeInLeft animated');
						});						
					}, time)
				})
			}
		}
		/*----------  //ANIMATION FOR CLIENTS  ----------*/

		/*----------  ANIMATION FOR FACTS  ----------*/
		if($('#facts').length && parseInt($('#facts').offset().top)+shift < scroll){
			if($('#facts').hasClass('animate')){
				$('#facts').removeClass('animate');

				$('#facts .amount').each(function(){
					$(this).countTo({
	        	        from: 0,
	        	        to: $(this).attr('data-amount'),
	        	        speed: 3000
	                });
				})
				
			}
		}
		/*----------  //ANIMATION FOR FACTS  ----------*/		

		/*----------  ANIMATION FOR BLOG  ----------*/
		if($('#blog').length && parseInt($('#blog').offset().top)+shift < scroll){			
			if($('#blog').hasClass('animate')){
				$('#blog').removeClass('animate');
			}


			$('#mainNavi a').removeClass('active');
			$("a[href='#blog']:eq(0)").addClass('active');
		}
		/*----------  //ANIMATION FOR BLOG  ----------*/

		/*----------  ANIMATION FOR FEATURES  ----------*/
		if($('#features').length && parseInt($('#features').offset().top)+shift < scroll){			
			if($('#features').hasClass('animate')){
				$('#features').removeClass('animate');
				$('#features img').addClass('fadeInUp animated').css('opacity',1);
				$('#features img').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
					$('#features img').removeClass('fadeInUp animated');
				});	
			}
		}
		/*----------  //ANIMATION FOR FEATURES  ----------*/		

		/*----------  ANIMATION FOR INSTAGRAM  ----------*/
		if($('#instagram').length && parseInt($('#instagram').offset().top)+shift < scroll){			
			if($('#instagram').hasClass('animate')){
				$('#instagram').removeClass('animate');
				$('#instagram .instagram-block').each(function(){
					var thiz = this;
					$(thiz).addClass('fadeInUp animated').css('opacity',1);
					$(thiz).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
						$(thiz).removeClass('fadeInUp animated');
					});		
				})
			}
		}
		/*----------  //ANIMATION FOR INSTAGRAM  ----------*/

		/*----------  ANIMATION FOR CONTACT  ----------*/
		if($('#contact').length && parseInt($('#contact').offset().top)+shift < scroll){			
			if($('#contact').hasClass('animate')){
				$('#contact').removeClass('animate');
				var time = -200;
				$('#contact form').addClass('fadeInUp animated').css('opacity',1);
				$('#contact form').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
					$('#contact form').removeClass('fadeInUp animated');
				});	
			}

			$('#mainNavi a').removeClass('active');
			$("a[href='#contact']:eq(0)").addClass('active');
		}
		/*----------  //ANIMATION FOR CONTACT  ----------*/
	}

	/*----------  FUNCTION FOR WINDOW SCROLL  ----------*/
	$(window).on('scroll', function(){
		if(!isMobile.any()){
			scrolling();
		}
	});
	/*----------  //FUNCTION FOR WINDOW SCROLL  ----------*/

	/*----------  SUBMIT FUNCTION  ----------*/
    $('#submit').on('click', function(){
		var thiz = this;
		var flag = true;

		if($(this).hasClass('state-loading')){
			return false
		}
		$(this).addClass('state-loading');
        
		setTimeout(function(){
			$(thiz).removeClass('state-loading');

			if(/\D/.test($('#phone').val()) || !$('#phone').val().length){
	            $('#phone').val('').attr('placeholder','please enter phone number').addClass('error');
	            flag = false;
	        }
	        if(!/^[-\w.]+@([A-z0-9][-A-z0-9]+\.)+[A-z]{2,4}$/.test($('#email').val())){
	            $('#email').val('').attr('placeholder','please enter correct e-mail').addClass('error');;
	            flag = false;
	        }


	        if(flag){
	            $(thiz).parents('form').submit(); 
	            $(thiz).find('span:eq(0)').addClass('success').html('success');        	
	        }else{
	        	$(thiz).find('span:eq(0)').addClass('error').html('error'); 
	        }

	        setTimeout(function(){
	        	$('#submit').find('span:eq(0)').removeClass('error success').html('send message'); 
	        }, 3000)
		}, 2000)
        
        return false;
    });

	$("#ajax-contact-form").submit(function() {
		var str = $(this).serialize();		
		var href = location.href.replace(/parallax\/|video\/|slider\/|index\.html/g,'');
		$.ajax({
			type: "POST",
			url: href + "contact_form/contact_process.php",
			data: str,
			success: function(msg) {
				// Message Sent - Show the 'Thank You' message and hide the form
				if(msg == 'OK') {
					$(this).addClass('success').find('span:eq(1)').html('success'); 
				} else {
					$(this).addClass('error').find('span:eq(1)').html('error'); 
				}
			}
		});
		return false;
	});
	


	$('.instagram-block a').magnificPopup({
		type: 'image',
		gallery: {
			enabled: true
		},
		zoom: {
			enabled: true,
			duration: 300
		}
	});
    
    $('.work-text a').on('click', function(){
    	if(flag){
    		flag = false;

    		$('.details-work').each(function(){
				var width = 0;
				if($(window).width() <= 400){
					width = $('.details-work').width();
				}else if($(window).width() <= 640){
					width = $('.details-work').width()/2;
				}else if($(window).width() <= 800){
					width = $('.details-work').width()/3;
				}else if($(window).width() <= 1100){
					width = $('.details-work').width()/4;
				}else{
					width = $('.details-work').width()/5;
				}
		    	$(this).isotope({
					itemSelector : '.work-item',
					masonry: {
						columnWidth: width,
			  			gutter: 0
					}
			    });
			    var last = $('.work-item:last-child',this);
			    $(this).attr('data-height', last.height()+parseInt(last.css('top'))).height(0);
		    });

		    /*----------  PORTFOLIO GALLERY  ----------*/
	    
			$('.work-item').magnificPopup({
				delegate: 'a',
				type: 'image',
				gallery: {
					enabled: true
				},
				zoom: {
					enabled: true,
					duration: 300
				}
			});
    	}
    	

    	if($(this).hasClass('state-loading') || $(this).parents('.work').hasClass('active')){
			return false
		}
		$(this).addClass('state-loading');
		$('.work').removeClass('active');
		var thiz = this;
		var ind = parseInt($(thiz).parents('.work').attr('data-index'))-1;
    	var details = $('.details-work').eq(ind);
    	var time = 300;
    	$(thiz).parents('.work').addClass('active');

		if($('.details-work.opened').length){
			setTimeout(function(){
				if($('.details-work.opened').parent().index()-1 < ind + 2){
					$('html,body')
						.stop()
						.scrollTo($('.details-work.opened').offset().top-79, 500);
					}	    		
    			$('.details-work').removeClass('opened').height(0);
	    	} ,0)
		}    	
    	
		setTimeout(function(){

	    	$(details).addClass('opened');

	    	details.height(details.attr('data-height'));

	    	$('html,body')
					.stop()
					.scrollTo($(details).offset().top-79, 500);

			$(thiz).removeClass('state-loading');		
	    
	    	if($('.details-work-wrapper').height() == 0){
	    		$('.details-work-wrapper').css('height', 'auto');
	    	}
		}, 2000);
    	

    	return false;
    });

    
    /*----------  //MASONRY PORTFOLIO  ----------*/

	/*----------  NAVIGATION  ----------*/
	$('.slide-page').on('click', function(){
		var id = $(this).attr('href');
		if(id == '#home'){
			$('html,body')
				.stop()
				.scrollTo(0, 1000);

			return false
		}
		$('html,body')
				.stop()
				.scrollTo($(id).offset().top-90, 1000);
		if(!$(this).hasClass('button')){
			$('#mainNavi a').removeClass('active');
			$(this).addClass('active');
		}
		return false
	});
	/*----------  //NAVIGATION  ----------*/

	function t(e) {
        this.path = e;
        var t = this.path.split("."),
            n = t.slice(0, t.length - 1).join("."),
            r = t[t.length - 1];
        this.at_2x_path = n + "2x." + r
    }
    function n(e) {
        this.el = e, this.path = new t(this.el.getAttribute("src"));
        var n = this;
        this.path.check_2x_variant(function (e) {
            e && n.swap()
        })
    }
    var e = typeof exports == "undefined" ? window : exports;
    e.RetinaImagePath = t, t.confirmed_paths = [], t.prototype.is_external = function () {
        return !!this.path.match(/^https?\:/i) && !this.path.match("//" + document.domain)
    }, t.prototype.check_2x_variant = function (e) {
        var n, r = this;
        if (this.is_external()) return e(!1);
        if (this.at_2x_path in t.confirmed_paths) return e(!0);
        n = new XMLHttpRequest, n.open("HEAD", this.at_2x_path), n.onreadystatechange = function () {
            return n.readyState != 4 ? e(!1) : n.status >= 200 && n.status <= 399 ? (t.confirmed_paths.push(r.at_2x_path), e(!0)) : e(!1)
        }, n.send()
    }, e.RetinaImage = n, n.prototype.swap = function (e) {
        function n() {
            t.el.complete ? (t.el.setAttribute("width", t.el.offsetWidth), t.el.setAttribute("height", t.el.offsetHeight), t.el.setAttribute("src", e)) : setTimeout(n, 5)
        }
        typeof e == "undefined" && (e = this.path.at_2x_path);
        var t = this;
        n()
    }, e.devicePixelRatio > 1 && (window.onload = function () {
        var e = document.getElementsByTagName("img"),
            t = [],
            r, i;
        for (r = 0; r < e.length; r++) i = e[r], t.push(new n(i))
    })
})(jQuery); 